image: node:latest
cache:
  paths:
    - node_modules

stages:
  - init
  - test
  - build
  - production

init:
  stage: init
  script:
    - yarn install

test:
  stage: test
  script:
    - yarn test

build:
  stage: build
  script:
    - yarn build

production:
  type: deploy
  stage: production
  image: ruby:latest
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKU_APP_PRODUCTION --api-key=$HEROKU_API_KEY
  only:
    - main
